# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_NqjVgKcmQyiRn_0/unearth-feedstock/recipe, last modified Fri Jul  3 06:29:44 2026
# ------------------------------------------------

package:
  name: unearth
  version: 0.18.2
source:
  url: https://pypi.org/packages/source/u/unearth/unearth-0.18.2.tar.gz
  sha256: 1e53d7f52f46dd5f875e77ff1c55b12477e215a092e4b66c9764a77df4a9b520
build:
  number: '0'
  script: /home/task_NqjVgKcmQyiRn_0/croot/unearth_1783060214125/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
    -m pip install . -vv --no-deps --no-build-isolation --ignore-installed
  entry_points:
    - unearth = unearth.__main__:cli
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.5.14 h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.2 h7354ed3_1
    - libffi 3.4.8 h06d3fd0_3
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libmpdec 4.0.1 h47b2149_0
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.2 h47b2149_0
    - lz4-c 1.9.4 h7354ed3_5
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.7 h1b28b03_0
    - pdm-backend 2.4.6 py314h893fd2c_0
    - pip 26.1.2 pyh0d26453_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.6 h4bdf6f9_100_cp314
    - python_abi 3.14 4_cp314
    - readline 8.3 hc2a1206_0
    - sqlite 3.53.2 h795bf6d_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026b he532380_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h47b2149_2
    - xz 5.8.2 h448239c_0
    - zlib 1.3.2 h47b2149_0
    - zstd 1.5.7 h11fc155_0
  run:
    - httpx >=0.27.0,<1
    - packaging >=20
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
  run_constrained:
    - requests >=2.25
test:
  source_files:
    - tests
  imports:
    - unearth
  commands:
    - pip check
    - pytest -v tests  --deselect=tests/test_evaluator.py::test_evaluate_packages_matching_version
  requires:
    - flask >=2.1.2
    - keyring
    - pip
    - pytest >=6.1
    - pytest-httpserver >=1.0.4
    - pytest-mock >=3.12.0
    - requests-wsgi-adapter >=0.4.1
about:
  home: https://pypi.org/project/unearth
  summary: A utility to fetch and download python packages
  description: A utility to fetch and download python packages
  license: MIT
  license_family: MIT
  license_file: LICENSE
  dev_url: https://github.com/frostming/unearth
  doc_url: https://unearth.readthedocs.io
extra:
  recipe-maintainers:
    - theAeon
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/unearth-feedstock
  sha: 145ac8e080c06fd7d03da3518c44632216b6c4b1
  task_id: NqjVgKcmQyiRni-sdDPW5A
  task_run_id: '0'
  pbp_graph_uuid: 76a28b60-75bb-410b-8735-81d9ce097b8e
